/*  
 *  anyRemote is Copyright (C)  2006
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _COMMON_H_
#define _COMMON_H_

/* System general includes */
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
//#include <sys/time.h>
#include <errno.h>

#include "btio.h"

#define EXIT_OK     0
#define EXIT_EXACT  -3
#define EXIT_NOK    -1
#define EXIT_DISCON 2
#define EXIT_ABORT  3

#define MAXMAXLEN    	2048
#define MAXLEN          512
#define MAXCKPDLEN    	100
#define MTEXTLEN    	30
#define END_NOW     	101

void logger(char *head, char *str);
int handle_command(char* cmd);
  
#define IS_OK(answer) (strstr(answer, "OK") != NULL)

/*
 * 	Commonly used defines
 */ 

#define CFGFILE 	"/.anyremote.cfg"
#define LOGFILE 	"/anyremote.log"
#define INET_SOCKET   	"socket:"
#define BT_SOCKET   	"bluetooth"
#define TOFILE   	"/anyremote.cmd.results"

#define SERVER_NO       0
#define SERVER_TCP      1
#define SERVER_BT       2

extern char tmp[MAXMAXLEN];

#endif
